China factories

JYLIGHTING Nordic Modern Luxury LED Chandelier Home & Hotel Decorative Hanging Lamp for Bar & Restaurant Pendant Lights Modern Pendant Light

Price: Negotiable Get Latest Price
  • Brand Name: JYLIGHTING
  • Model Number: JYL-D1313
  • Minimum Order Quantity: 1PCS
  • Delivery Time: 15 days after received the advance payment
  • view more

Custom Translucent White Teddy Bear LED Illuminated Seat & Modern Cartoon Chair for Commercial Outdoor Landscape, Playground & Hotel Decor OEM/ODM

Price: Negotiable Get Latest Price
  • Brand Name: Negotiable
  • Model Number: Negotiable
  • Minimum Order Quantity: Negotiable
  • Delivery Time: Negotiable
  • view more

Modern Glass Flower Pendant Light Fixture Luminaire Kitchen Dining Room Restaurant Decoration Hanging Lamp(WH-GP-56)

Price: 1-100USD Get Latest Price
  • Brand Name: Well House (LTCELE)
  • Model Number: WH-GP-56
  • Minimum Order Quantity: 1pcs
  • Delivery Time: 15-30 days
  • view more

LED Crystal Raindrop Chandelier for Hotel Lobby Large Living Room Decorative Hanging Lamp

Price: Negotiable Get Latest Price
  • Brand Name: ZSHONORHIGH, SIDEREAL
  • Model Number: Negotiable
  • Minimum Order Quantity: 10pcs
  • Delivery Time: 25-30days or confirm
  • view more

Custom Hotel Decorative Metal Picture Frame Wall Art Cloisonne Paint Enamel

Price: Negotiate Get Latest Price
  • Brand Name: KingKong
  • Model Number: KK-MFWA41
  • Minimum Order Quantity: 1pcs
  • Delivery Time: 15-18 working days
  • view more

Creative modern gold metal ceiling chandelier art decor hanging lamps led pendant light

Price: φ450*H650 mm 65.87USD /UNIT Get Latest Price
  • Brand Name: BOLITE
  • Model Number: B20003/450
  • Minimum Order Quantity: 5Pieces
  • Delivery Time: 7-25DAYS
  • view more

Modern Nordic Art Designer Table Lamp Model Room Hotel Decorative Table Lamp

Price: Negotiable Get Latest Price
  • Brand Name: GRH
  • Model Number: GRH-RFC1157,GRH-RFC1151,GRH-RFC1157,GRH-RFC1136
  • Minimum Order Quantity: 1000 PCS
  • Delivery Time: Negotiable
  • view more

Retro LED Table Lamp Creative Dimmable Hotel/Study/Bedside Lamp Luxury Hotel Decorative Table Lamp

Price: $16 Get Latest Price
  • Brand Name: JMK
  • Model Number: JMK-G65A
  • Minimum Order Quantity: 100pcs
  • Delivery Time: 3-4Weeks
  • view more

Villa Decorative Hang Lamp , Decorative Modern Chandelier for Living Room

Price: Negotiation Get Latest Price
  • Brand Name: Yihaowo
  • Model Number: YH-1104-42
  • Minimum Order Quantity: 1PC
  • Delivery Time: 10-30 working days
  • view more

Custom Hotel Decor Embossed Metal Sheets Water Ripple Stainless Plate 1000mm Width

Price: $15.00-$100/Sheets Get Latest Price
  • Brand Name: Sewaly
  • Model Number: Water Ripple Decorative stainless steel sheet
  • Minimum Order Quantity: 100 Pieces
  • Delivery Time: 3-15 working days
  • view more

1/4 - 18IPS Wire Rope Grippers Power Feed Grippers Customize Connection For Hanging Lamps

Price: $0.58-$0.64 Get Latest Price
  • Brand Name: Yuyang
  • Model Number: F3-320
  • Minimum Order Quantity: 100 pieces
  • Delivery Time: 7-15 days
  • view more

Abstract Canvas Wall Art Painting Set Modern Gold Framed Living Room Decor

Price: Negotiable Get Latest Price
  • Brand Name: Custom
  • Model Number: TD-WA-04
  • Minimum Order Quantity: 10 Pieces
  • Delivery Time: 15-25 days after deposit
  • view more

Customization Easter Flower Lantern LED Lantern Sculpture For Hotels / Events

Price: Customized Quote Get Latest Price
  • Brand Name: Jiucai Culture
  • Model Number: EAS-CUS-LAN-7
  • Minimum Order Quantity: No minimum order quantity
  • Delivery Time: 20-30 days
  • view more

Creative Led Floating Clouds Chandeliers Hanging Lamps White Nordic Lamp Modern

Price: Negotiable Get Latest Price
  • Brand Name: HAFE
  • Model Number: CL15
  • Minimum Order Quantity: 1unit
  • Delivery Time: 5-8 Working Days
  • view more

Hafe International Limited

Hong kong ,Hong kong

  • 9YRS
  • Verified Supplier

Soft Floating Clouds Pendant Balloon Light Romantic Droplight Silk Cotton Hanging Lamp

Price: Negotiable Get Latest Price
  • Brand Name: Fenigal/NA
  • Model Number: Muse HA2000
  • Minimum Order Quantity: Negotiable
  • Delivery Time: 10~14 working days or bulk order negotiate
  • view more

2m Inflatable Lighting Decoration Hanging Star Outdoor Activity Decorative Lamp

Price: $39 - 150 / Piece Get Latest Price
  • Brand Name: Sayok
  • Model Number: A21027423
  • Minimum Order Quantity: 1 Piece/ Pieces
  • Delivery Time: 7~10 days after getting your deposit
  • view more

GUANGZHOU SAYOK LTD

Guangzhou ,Guangdong

  • 13YRS
  • Verified Supplier

Adjustable Stainless Steel Wire Rope Screw Copper Cable Grippers Hardware Accessories For Hanging Lamps

Price: Negotiation Get Latest Price
  • Brand Name: W-mate
  • Model Number: WR21061604
  • Minimum Order Quantity: 1000pcs
  • Delivery Time: 10-15Work Days
  • view more

Surface Mounted Iron ALUMINUM Decorative Wall Lamp for Product Dimension 350*200*29MM

Price: $10.56/pieces 2-499 pieces Get Latest Price
  • Brand Name: SUNSHINING
  • Model Number: SL-W010
  • Minimum Order Quantity: 2 pieces
  • Delivery Time: Negotiable
  • view more

Hotel Casegoods For Stylish Bedroom Decor Custom Hotel Bedroom Furniture Turn Key Projects

Price: Negotiable Get Latest Price
  • Brand Name: Paken
  • Model Number: HQF-008
  • Minimum Order Quantity: 30 SETS
  • Delivery Time: Shipped in 30 - 45 days after payment
  • view more